<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'files',

    /*
     * Package.
     */
    'package'   => 'file',

    /*
     * Modules.
     */
    'modules'   => ['file'],

    
    'file'       => [
        'model' => [
            'model' => \Files\File\Models\File::class,
            'repository' => \Files\File\Repositories\Eloquent\FileRepository::class,
            'table' => 'files',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'project_id',  'name',  'path',  'extension',  'channels',  'duration',  'sampling_rate',  'bit_rate',  'frame_rate',  'width',  'height',  'type',  'created_at',  'modified_at',  ')',  '),',  'id),'],
            'translatables' => [],
            'upload_folder' => 'file/file',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Files',
            'package' => 'File',
            'module' => 'File',
        ],
    ],
];
