<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for file in file package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  file module in file package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'File',
    'names' => 'Files',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Files',
        'sub' => 'Files'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'project_id'                 => 'Please enter project id',
        'name'                       => 'Please enter name',
        'path'                       => 'Please enter path',
        'extension'                  => 'Please enter extension',
        'channels'                   => 'Please enter channels',
        'duration'                   => 'Please enter duration',
        'sampling_rate'              => 'Please enter sampling rate',
        'bit_rate'                   => 'Please enter bit rate',
        'frame_rate'                 => 'Please enter frame rate',
        'width'                      => 'Please enter width',
        'height'                     => 'Please enter height',
        'type'                       => 'Please enter type',
        'created_at'                 => 'Please select created at',
        'modified_at'                => 'Please select modified at',
        ')'                          => 'Please select )',
        '),'                         => 'Please select ),',
        'id),'                       => 'Please select id),',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'project_id'                 => 'Project id',
        'name'                       => 'Name',
        'path'                       => 'Path',
        'extension'                  => 'Extension',
        'channels'                   => 'Channels',
        'duration'                   => 'Duration',
        'sampling_rate'              => 'Sampling rate',
        'bit_rate'                   => 'Bit rate',
        'frame_rate'                 => 'Frame rate',
        'width'                      => 'Width',
        'height'                     => 'Height',
        'type'                       => 'Type',
        'created_at'                 => 'Created at',
        'modified_at'                => 'Modified at',
        ')'                          => ')',
        '),'                         => '),',
        'id),'                       => 'Id),',
    ],
];
