<?php

// API routes  for file.

// Guard routes for file
Route::prefix('{guard}/file')->group(function () {
    Route::resource('file', 'FileResourceController');
});



// Public routes for file
Route::get('files/', 'FilePublicController@index');
Route::get('file/{slug?}', 'FilePublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for file
            Route::prefix('{guard}/file')->group(function () {
                Route::resource('file', 'FileResourceController');
            });
            
            

            // Public routes for file
            Route::get('files/', 'FilePublicController@index');
            Route::get('file/{slug?}', 'FilePublicController@show');
        }
    );
}